//TDefs.h
#pragma once

#ifdef _WIN64

#define POSNT __int64

#define IIteratorT IIterator64
#define IListT IList64
#define IListUnkn_KCT IListUnkn_KC64
#define IRelationT IRelation64
#define IMetricsT IMetrics64
#define IMeshT IMesh64
#define ICollisionDetectorT ICollisionDetector64
#define IKCPathCollisionDetectorT IKCPathCollisionDetector64
#define IMeshModsT IMeshMods64
#define IMeshShading_KCT IMeshShading_KC64
#define ISimplexT ISimplex64
#define IMeshPointKCT IMeshPointKC
#define IMeshExT IMeshEx64
#define IMeshTopolT IMeshTopol64
#define IMeshAlgorT IMeshAlgor64
#define IEdge_KCT IEdge_KC64
#define ISimplexEx_KCT ISimplexEx_KC64
#define IVertexEx_KCT IVertexEx_KC64
#define ISurfaceT ISurface64
#define I3DGridT I3DGrid64
#define IKinematicSet_KCT IKinematicSet_KC64
#define IViewAdaptorPriv_KCT IViewAdaptorPriv_KC64
#define I3DBuggerT I3DBugger64
#define IClipPlaneT IClipPlane64

#else

#define POSNT int

#define IIteratorT IIterator
#define IListT IList
#define IListUnkn_KCT IListUnkn_KC
#define IRelationT IRelation
#define IMetricsT IMetrics
#define IMeshT IMesh
#define ICollisionDetectorT ICollisionDetector
#define IKCPathCollisionDetectorT IKCPathCollisionDetector
#define IMeshModsT IMeshMods
#define IMeshShading_KCT IMeshShading_KC
#define ISimplexT ISimplex
#define IMeshPointKCT IMeshPointKC
#define IMeshExT IMeshEx
#define IMeshTopolT IMeshTopol
#define IMeshAlgorT IMeshAlgor
#define IEdge_KCT IEdge_KC
#define ISimplexEx_KCT ISimplexEx_KC
#define IVertexEx_KCT IVertexEx_KC
#define ISurfaceT ISurface
#define I3DGridT I3DGrid
#define IKinematicSet_KCT IKinematicSet_KC
#define IViewAdaptorPriv_KCT IViewAdaptorPriv_KC
#define I3DBuggerT I3DBugger
#define IClipPlaneT IClipPlane

#endif

