
// ModFilletDlg.h : header file
//

#pragma once
#include "kernelcad.h"


// ModFilletDlg dialog
class ModFilletDlg : public CDialogEx
{
// Construction
public:
	ModFilletDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MODFILLET_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	void FitView();
	afx_msg void OnFillet();
	CKernelCAD m_dgk;

	IModel_DGPtr m_iModel;
	IView_DGPtr m_iView;
	IObjectGenerator_DGPtr m_gen;
	IDraw_DGPtr m_iDraw;
};
