// DgSmartPtr.h
// Smart pointers definition for DG interfaces
#pragma once
#include <comdef.h>
#include "DgInterface.h"

_COM_SMARTPTR_TYPEDEF(IArray_DG, __uuidof(IArray_DG));
_COM_SMARTPTR_TYPEDEF(IArrayDouble_DG, __uuidof(IArrayDouble_DG));
_COM_SMARTPTR_TYPEDEF(IMatrix_DG, __uuidof(IMatrix_DG));
_COM_SMARTPTR_TYPEDEF(IArrayInt_DG, __uuidof(IArrayInt_DG));
_COM_SMARTPTR_TYPEDEF(IArrayBool_DG, __uuidof(IArrayBool_DG));
_COM_SMARTPTR_TYPEDEF(I3DBugger_DG, __uuidof(I3DBugger_DG));
_COM_SMARTPTR_TYPEDEF(IList_DG, __uuidof(IList_DG));
_COM_SMARTPTR_TYPEDEF(IDictionary_DG, __uuidof(IDictionary_DG));
_COM_SMARTPTR_TYPEDEF(IMapUnkn_DG, __uuidof(IMapUnkn_DG));
_COM_SMARTPTR_TYPEDEF(IMapUint64_DG, __uuidof(IMapUint64_DG));
_COM_SMARTPTR_TYPEDEF(IObject_DG, __uuidof(IObject_DG));
_COM_SMARTPTR_TYPEDEF(IObjectGenerator_DG, __uuidof(IObjectGenerator_DG));
_COM_SMARTPTR_TYPEDEF(IUserData_DG, __uuidof(IUserData_DG));
_COM_SMARTPTR_TYPEDEF(I2DPointArray_DG, __uuidof(I2DPointArray_DG));
_COM_SMARTPTR_TYPEDEF(IPointArray_DG, __uuidof(IPointArray_DG));
_COM_SMARTPTR_TYPEDEF(IPointMatrix_DG, __uuidof(IPointMatrix_DG));
_COM_SMARTPTR_TYPEDEF(IFrame_DG, __uuidof(IFrame_DG));
_COM_SMARTPTR_TYPEDEF(IFrameArray_DG, __uuidof(IFrameArray_DG));
_COM_SMARTPTR_TYPEDEF(ILine2d_DG, __uuidof(ILine2d_DG));
_COM_SMARTPTR_TYPEDEF(IFrame2d_DG, __uuidof(IFrame2d_DG));
_COM_SMARTPTR_TYPEDEF(ICurve2d_DG, __uuidof(ICurve2d_DG));
_COM_SMARTPTR_TYPEDEF(IBSplineCurve2d_DG, __uuidof(IBSplineCurve2d_DG));
_COM_SMARTPTR_TYPEDEF(ICircle2d_DG, __uuidof(ICircle2d_DG));
_COM_SMARTPTR_TYPEDEF(ICurve_DG, __uuidof(ICurve_DG));
_COM_SMARTPTR_TYPEDEF(ICurveArray_DG, __uuidof(ICurveArray_DG));
_COM_SMARTPTR_TYPEDEF(ICircle_DG, __uuidof(ICircle_DG));
_COM_SMARTPTR_TYPEDEF(IBSplineCurve_DG, __uuidof(IBSplineCurve_DG));
_COM_SMARTPTR_TYPEDEF(IBSplineCurveInterpolator_DG, __uuidof(IBSplineCurveInterpolator_DG));
_COM_SMARTPTR_TYPEDEF(ILine_DG, __uuidof(ILine_DG));
_COM_SMARTPTR_TYPEDEF(IPlane_DG, __uuidof(IPlane_DG));
_COM_SMARTPTR_TYPEDEF(IBox_DG, __uuidof(IBox_DG));
_COM_SMARTPTR_TYPEDEF(ICylinder_DG, __uuidof(ICylinder_DG));
_COM_SMARTPTR_TYPEDEF(ICylindricalSurface_DG, __uuidof(ICylindricalSurface_DG));
_COM_SMARTPTR_TYPEDEF(ICone_DG, __uuidof(ICone_DG));
_COM_SMARTPTR_TYPEDEF(ISphere_DG, __uuidof(ISphere_DG));
_COM_SMARTPTR_TYPEDEF(IPolygon3D_DG, __uuidof(IPolygon3D_DG));
_COM_SMARTPTR_TYPEDEF(ITorus_DG, __uuidof(ITorus_DG));
_COM_SMARTPTR_TYPEDEF(IUVSurface_DG, __uuidof(IUVSurface_DG));
_COM_SMARTPTR_TYPEDEF(IRectangularTrimmedSurface_DG, __uuidof(IRectangularTrimmedSurface_DG));
_COM_SMARTPTR_TYPEDEF(IPartialSplineProps_DG, __uuidof(IPartialSplineProps_DG));
_COM_SMARTPTR_TYPEDEF(IBSplineSurface_DG, __uuidof(IBSplineSurface_DG));
_COM_SMARTPTR_TYPEDEF(IBRepShape_DG, __uuidof(IBRepShape_DG));
_COM_SMARTPTR_TYPEDEF(IBRepVertex_DG, __uuidof(IBRepVertex_DG));
_COM_SMARTPTR_TYPEDEF(IBRepEdge_DG, __uuidof(IBRepEdge_DG));
_COM_SMARTPTR_TYPEDEF(IBRepWire_DG, __uuidof(IBRepWire_DG));
_COM_SMARTPTR_TYPEDEF(IBRepFace_DG, __uuidof(IBRepFace_DG));
_COM_SMARTPTR_TYPEDEF(IBRepShell_DG, __uuidof(IBRepShell_DG));
_COM_SMARTPTR_TYPEDEF(IBRepSolid_DG, __uuidof(IBRepSolid_DG));
_COM_SMARTPTR_TYPEDEF(IBRepCompositeSolid_DG, __uuidof(IBRepCompositeSolid_DG));
_COM_SMARTPTR_TYPEDEF(IBRepCompound_DG, __uuidof(IBRepCompound_DG));
_COM_SMARTPTR_TYPEDEF(IBRepBuilder_DG, __uuidof(IBRepBuilder_DG));
_COM_SMARTPTR_TYPEDEF(IBRepBuilderEx_DG, __uuidof(IBRepBuilderEx_DG));
_COM_SMARTPTR_TYPEDEF(IWireArrayToSurfaceBuilder_DG, __uuidof(IWireArrayToSurfaceBuilder_DG));
_COM_SMARTPTR_TYPEDEF(IAppearance_DG, __uuidof(IAppearance_DG));
_COM_SMARTPTR_TYPEDEF(IGeometry_DG, __uuidof(IGeometry_DG));
_COM_SMARTPTR_TYPEDEF(IEntityArray_DG, __uuidof(IEntityArray_DG));
_COM_SMARTPTR_TYPEDEF(IEntity_DG, __uuidof(IEntity_DG));
_COM_SMARTPTR_TYPEDEF(IModel_DG, __uuidof(IModel_DG));
_COM_SMARTPTR_TYPEDEF(IBooleanEntity_DG, __uuidof(IBooleanEntity_DG));
_COM_SMARTPTR_TYPEDEF(ISurfacePoint_DG, __uuidof(ISurfacePoint_DG));
_COM_SMARTPTR_TYPEDEF(IPick_DG, __uuidof(IPick_DG));
_COM_SMARTPTR_TYPEDEF(IStdShape_DG, __uuidof(IStdShape_DG));
_COM_SMARTPTR_TYPEDEF(IStdShapeRef_DG, __uuidof(IStdShapeRef_DG));
_COM_SMARTPTR_TYPEDEF(IDraw_DG, __uuidof(IDraw_DG));
_COM_SMARTPTR_TYPEDEF(IBRepGeometry_DG, __uuidof(IBRepGeometry_DG));
_COM_SMARTPTR_TYPEDEF(ISelection_DG, __uuidof(ISelection_DG));
_COM_SMARTPTR_TYPEDEF(IScene_DG, __uuidof(IScene_DG));
_COM_SMARTPTR_TYPEDEF(IView_DG, __uuidof(IView_DG));
_COM_SMARTPTR_TYPEDEF(IVirtualView_DG, __uuidof(IVirtualView_DG));
_COM_SMARTPTR_TYPEDEF(IVirtualModelView_DG, __uuidof(IVirtualModelView_DG));
_COM_SMARTPTR_TYPEDEF(IBRepFeaturePrism_DG, __uuidof(IBRepFeaturePrism_DG));
_COM_SMARTPTR_TYPEDEF(ITechnology_DG, __uuidof(ITechnology_DG));
_COM_SMARTPTR_TYPEDEF(IBRepFillet_DG, __uuidof(IBRepFillet_DG));
_COM_SMARTPTR_TYPEDEF(IShapeArray_DG, __uuidof(IShapeArray_DG));
_COM_SMARTPTR_TYPEDEF(IBRepChamfer_DG, __uuidof(IBRepChamfer_DG));
_COM_SMARTPTR_TYPEDEF(IBRepDraftAngle_DG, __uuidof(IBRepDraftAngle_DG));
_COM_SMARTPTR_TYPEDEF(IPartialBezierProps_DG, __uuidof(IPartialBezierProps_DG));
_COM_SMARTPTR_TYPEDEF(IBezierSurface_DG, __uuidof(IBezierSurface_DG));
_COM_SMARTPTR_TYPEDEF(ISurfaceOfRevolution_DG, __uuidof(ISurfaceOfRevolution_DG));
_COM_SMARTPTR_TYPEDEF(IContext_DG, __uuidof(IContext_DG));
_COM_SMARTPTR_TYPEDEF(IPointSetGeometry_DG, __uuidof(IPointSetGeometry_DG));
_COM_SMARTPTR_TYPEDEF(ISegmentStripGeometry_DG, __uuidof(ISegmentStripGeometry_DG));
_COM_SMARTPTR_TYPEDEF(IRectangleColor_DG, __uuidof(IRectangleColor_DG));
_COM_SMARTPTR_TYPEDEF(ILineStyle_DG, __uuidof(ILineStyle_DG));
_COM_SMARTPTR_TYPEDEF(IMetrics_DG, __uuidof(IMetrics_DG));
_COM_SMARTPTR_TYPEDEF(IMaterial_DG, __uuidof(IMaterial_DG));
_COM_SMARTPTR_TYPEDEF(IError_DG, __uuidof(IError_DG));
_COM_SMARTPTR_TYPEDEF(IVertex_DG, __uuidof(IVertex_DG));
_COM_SMARTPTR_TYPEDEF(IVertexSegment_DG, __uuidof(IVertexSegment_DG));
_COM_SMARTPTR_TYPEDEF(ISimplex_DG, __uuidof(ISimplex_DG));
_COM_SMARTPTR_TYPEDEF(IMesh_DG, __uuidof(IMesh_DG));
_COM_SMARTPTR_TYPEDEF(IMeshAlgor_DG, __uuidof(IMeshAlgor_DG));
_COM_SMARTPTR_TYPEDEF(IVirtualView_DG, __uuidof(IVirtualView_DG));
_COM_SMARTPTR_TYPEDEF(IBlob_DG, __uuidof(IBlob_DG));
_COM_SMARTPTR_TYPEDEF(IBitmap_DG, __uuidof(IBitmap_DG));
_COM_SMARTPTR_TYPEDEF(IPointCloud_DG, __uuidof(IPointCloud_DG));
_COM_SMARTPTR_TYPEDEF(IMeshPoint_DG, __uuidof(IMeshPoint_DG));
_COM_SMARTPTR_TYPEDEF(IDataContext_DG, __uuidof(IDataContext_DG));
_COM_SMARTPTR_TYPEDEF(ISTLDataContext_DG, __uuidof(ISTLDataContext_DG));
_COM_SMARTPTR_TYPEDEF(ILightSource_DG, __uuidof(ILightSource_DG));
_COM_SMARTPTR_TYPEDEF(ILighting_DG, __uuidof(ILighting_DG));
_COM_SMARTPTR_TYPEDEF(IDiffSurface_DG, __uuidof(IDiffSurface_DG));
_COM_SMARTPTR_TYPEDEF(IKinematicSet_DG, __uuidof(IKinematicSet_DG));
_COM_SMARTPTR_TYPEDEF(IPathCollisionDetector_DG, __uuidof(IPathCollisionDetector_DG));
_COM_SMARTPTR_TYPEDEF(IMove_DG, __uuidof(IMove_DG));
_COM_SMARTPTR_TYPEDEF(IArc_DG, __uuidof(IArc_DG));
_COM_SMARTPTR_TYPEDEF(IArcSpline3DCurve_DG, __uuidof(IArcSpline3DCurve_DG));
_COM_SMARTPTR_TYPEDEF(ICurveFreeForm_DG, __uuidof(ICurveFreeForm_DG));
_COM_SMARTPTR_TYPEDEF(IFont_DG, __uuidof(IFont_DG));
_COM_SMARTPTR_TYPEDEF(IEllipse_DG, __uuidof(IEllipse_DG));
_COM_SMARTPTR_TYPEDEF(IMeasurement_DG, __uuidof(IMeasurement_DG));
_COM_SMARTPTR_TYPEDEF(IViewPoint_DG, __uuidof(IViewPoint_DG));
_COM_SMARTPTR_TYPEDEF(IViewPointArray_DG, __uuidof(IViewPointArray_DG));
_COM_SMARTPTR_TYPEDEF(IGeometricObject_DG, __uuidof(IGeometricObject_DG));
_COM_SMARTPTR_TYPEDEF(I2DEditor_DG, __uuidof(I2DEditor_DG));
_COM_SMARTPTR_TYPEDEF(IEntity2d_DG, __uuidof(IEntity2d_DG));
_COM_SMARTPTR_TYPEDEF(IModel2d_DG, __uuidof(IModel2d_DG));
_COM_SMARTPTR_TYPEDEF(ILabel_DG, __uuidof(ILabel_DG));
_COM_SMARTPTR_TYPEDEF(IKinematicEntity_DG, __uuidof(IKinematicEntity_DG));
_COM_SMARTPTR_TYPEDEF(ICutEffect_DG, __uuidof(ICutEffect_DG));
_COM_SMARTPTR_TYPEDEF(ISpinEffect_DG, __uuidof(ISpinEffect_DG));
_COM_SMARTPTR_TYPEDEF(ISticky_DG, __uuidof(ISticky_DG));
_COM_SMARTPTR_TYPEDEF(ILabelGeometry_DG, __uuidof(ILabelGeometry_DG));
_COM_SMARTPTR_TYPEDEF(IObjectOriented_DG, __uuidof(IObjectOriented_DG));
_COM_SMARTPTR_TYPEDEF(IMeshGeometry_DG, __uuidof(IMeshGeometry_DG));
_COM_SMARTPTR_TYPEDEF(IDynamicScreenItem_DG, __uuidof(IDynamicScreenItem_DG));
_COM_SMARTPTR_TYPEDEF(ISmartLabelManager_DG, __uuidof(ISmartLabelManager_DG));
_COM_SMARTPTR_TYPEDEF(IDynamicScreenItemManager_DG, __uuidof(IDynamicScreenItemManager_DG));
_COM_SMARTPTR_TYPEDEF(IGlobalAPI_DG, __uuidof(IGlobalAPI_DG));
_COM_SMARTPTR_TYPEDEF(IControlInitialisationContext_DG, __uuidof(IControlInitialisationContext_DG));
_COM_SMARTPTR_TYPEDEF(IConstraint_DG, __uuidof(IConstraint_DG));
_COM_SMARTPTR_TYPEDEF(ICurveGeometry_DG, __uuidof(ICurveGeometry_DG));
_COM_SMARTPTR_TYPEDEF(ITexture_DG, __uuidof(ITexture_DG));
_COM_SMARTPTR_TYPEDEF(IEuclideanShortestPath_DG, __uuidof(IEuclideanShortestPath_DG));
_COM_SMARTPTR_TYPEDEF(ISurfacePointArray_DG, __uuidof(ISurfacePointArray_DG));
_COM_SMARTPTR_TYPEDEF(ISetR1_DG, __uuidof(ISetR1_DG));
_COM_SMARTPTR_TYPEDEF(IEngrave_DG, __uuidof(IEngrave_DG));
_COM_SMARTPTR_TYPEDEF(I3DBugger_DG, __uuidof(I3DBugger_DG));



